/***************************************************************************
                          TUVisionDef.h  -  description
                             -------------------
    begin                : 01.01.2001
    copyright            : (C) 2001 by Eric Sommerlade
    email                : tuvisionlib@tuvision.de
    origin               : Diplomarbeit Eric Sommerlade
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This file is part of the TUVision Library. It is free software; you   *
 *   can redistribute it and/or modify it under the terms of the           *
 *   GNU Library General Public License as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option)      *
 *   any later version.                                                    *
 *                                                                         *
 ***************************************************************************/
#ifndef __TUVISIONDEF_H__
#define __TUVISIONDEF_H__
/*
 * TUVision Image library for filtering and feature extraction.
 * Copyright (C) 1999-2000 Eric Sommerlade <eric@sommerla.de>
 *                    2000 Islam Shdaifat  <shdaifat@tu-harburg.de>
 *                    2000 Marco Budde  <budde@tu-harburg.de>
 *                    2001 Fabian Wenzel <f.wenzel@gmx.net>
 * All rights reserved.
 *
 * This file defines macros needed for M$-Windows.
 * 
 */

/* The next two defines are needed if the library is compiles using autotools
either under cygwin or under mingw32
*/


#ifdef _NODLLCC
#define _CCTUVISION
#else

#ifdef WIN32
//namespace std{};
#ifndef __GNUC__

#if _MSC_VER <= 1200
#define WARNING4786_BUG
#endif

// Who the hell discarded snprintf
#define snprintf _snprintf

#pragma warning(disable: 4786 4275 4290 4251)
#endif
#ifdef _TUVISION_EXPORTS
#define _CCTUVISION __declspec(dllexport)
#else
#ifdef _TUVISION_IMPORTS
#define _CCTUVISION __declspec(dllimport)
#else
#define _CCTUVISION
#endif
#endif
#else
#define _CCTUVISION
#endif
#endif

#endif // __TUVISION_H__
