#ifndef __MPEG2DECFUNCTIONS_H__
#define __MPEG2DECFUNCTIONS_H__

#include "config.h"

void Clear_Options();
#ifdef DEBUG
void Print_Options();
#endif
int  video_sequence _ANSI_ARGS_((int *framenum));
int Decode_Bitstream _ANSI_ARGS_((void));
int  Headers _ANSI_ARGS_((void));
void Initialize_Sequence _ANSI_ARGS_((void));

/** returns 0 on error, 1 else
 */
int Initialize_Decoder();
void Deinitialize_Sequence _ANSI_ARGS_((void));

/** processes arguments!
 * checks for -f : return pictures fieldwise
 *            -b filename: base bitstream (file!)
 *            -e filename: extension bitstream for snr scalability / data part. (file!)
 *            -l filename: spatial scalability (file!)
 *            -r : use reference idct
 */

int Process_Options _ANSI_ARGS_((int argc, char *argv[]));

#endif
